AgentFunctions (The Data Transfer Agent Service 2.1.3-4.7.1-132914 API)
Date: 2017-10-17

org.gcube.datatransfer.agent.impl.event

## Class AgentFunctions

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.event.AgentFunctions

-     public class AgentFunctions
      extends Object

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.common.core.utils.logging.GCUBELog` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgentFunctions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.gcube.datatransfer.agent.stubs.datatransferagent.TransferOptions` | `getMappedTransferOptions(org.gcube.datatransfer.common.agent.Types.TransferOptions optionsFromMessage)`
    `static org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType[]` | `getPostProcessArray(List<org.gcube.datatransfer.common.agent.Types.postProcessType> list)`
    `AgentResource` | `getResource()`
    `ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome>` | `getTransferOutcomes(String transferId)`
    `org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage` | `monitorTransferWithProgress(String transferId)`
    `FutureTask<Worker>` | `startAsyncTask(String id, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final org.gcube.common.core.utils.logging.GCUBELog logger

  - ### Constructor Detail

    - #### AgentFunctions

          public AgentFunctions()

  - ### Method Detail

    - #### getResource

          public AgentResource getResource()
                                    throws Exception

      Throws:
        `Exception`

    - #### startAsyncTask

          public FutureTask<Worker> startAsyncTask(String id,
                                          org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                          org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)

    - #### getTransferOutcomes

          public ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> getTransferOutcomes(String transferId)
                                                                                                   throws org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault

      Throws:
        `org.gcube.datatransfer.agent.stubs.datatransferagent.GetTransferOutcomesFault`

    - #### monitorTransferWithProgress

          public org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage monitorTransferWithProgress(String transferId)
                                                                                                             throws org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault

      Throws:
        `org.gcube.datatransfer.agent.stubs.datatransferagent.MonitorTransferFault`

    - #### getPostProcessArray

          public static org.gcube.datatransfer.agent.stubs.datatransferagent.PostProcessType[] getPostProcessArray(List<org.gcube.datatransfer.common.agent.Types.postProcessType> list)

    - #### getMappedTransferOptions

          public static org.gcube.datatransfer.agent.stubs.datatransferagent.TransferOptions getMappedTransferOptions(org.gcube.datatransfer.common.agent.Types.TransferOptions optionsFromMessage)

Copyright © 2017. All Rights Reserved.